import request from '@/utils/request'
// 获取仪表算法配置
export function getDialSet(query) {
	return request({
		url: '/database_op/dial.cgi',
		method: 'post',
		data:  {
			"cmdType": "dial",
			"cmdParam": query
		}
	})
}

// 设置仪表算法
export function setDial(query) {
	return request({
		url: '/database_op/dial.cgi',
		method: 'post',
		data:  {
			"cmdType": "dial_set",
			"cmdParam": query
		}
	})
}
// 获取仪表数据
export function getDialValue(query) {
	return request({
		url: '/database_op/dial.cgi',
		method: 'post',
		data:  {
			"cmdType": "dial_value",
			"cmdParam": query
		}
	})
}
// 获取仪表图片
export function getDialImg(query) {
	return request({
		url: '/database_op/dial.cgi',
		method: 'post',
		data:  {
			"cmdType": "dial_image",
			"cmdParam": query
		}
	})
}